Subject: Re: Mail Order Machinery, a horror story

From: "Ron Picchi" <[email-masked]>
Date: 31 Mar 1997 12:09:01 GMT

I've posted another conclusion to this tale of woe, but I want to make sure
 that it is known that Woodworker's Supply took my complaints and
frustrations  seriously -- they resolved the delivery problems and got a
saw to me without  incident, making certain concessions to me regarding
delivery specifics  and  the cost of my order. Even though I still have
some doubts about the freight  companies that WS uses to my area, I'm
satisfied with WS's commitment to customer service.  

Ron Picchi <[email-masked]> wrote in article
<[email-masked]>...
> After about eight weeks shopping  for a table saw, searching classifieds
> for good used ones, visiting local retailers, and combing through mail
> order catalogs, web sites, etc,  I finally ordered a Unisaw from
> Woodworker's Supply ..   Their price is as good as any, I save $140 in
> sales tax ( CA)  , and their delivery is free including removal from the
> truck and placement of the saw in my garage. I placed the order Friday
> afternoon two weeks ago. Here's what has happened so far....
> 
> The following Wednesday, while I just happen to be stopping by my house
> between trips to job sites, a truck pulls up in front of my house ( no
> phone call to arrange delivery time as promised by the salesperson at WS)

> But hey, no big deal, I ( and they ) lucked out, right?  The driver,
> seemingly disoriented and perhaps DUI, opens up the truck to reveal the
saw
> wedged up against the side of the truck , pallet smashed, and the carton
> considerably crunched. I refused the delivery and called WS. They were
> apologetic and told me someone from the "traffic"dept would call me to
> resolve this.
> 
> No call that day. We traded messages the next day. The day after that I
> made arrangements for a new saw to be delivered-- it was Friday by then ,
> so shipment wouldn't happen until Monday.
>  
> Following wednesday................  anticipating delivery at any time, I
> call the shipper ( a different company this time-- WS suggested this to
> appease my concern about the competence of the first shipper) to confirm
a
> time,  and I find out that the saw is arriving at their local terminal
that
> evening, and that they will call me in the morning to arrange the time.
> 
> Next morning,  no call.   I take care of a few errands and finally call
> them around noon. "Oh yeah, we were supposed to call you...".etc   They
> tell me that their liftgate equipped truck is broken down and that MAYBE 
> they can deliver tomorrow.  I call the traffic person at WS , explain how
> their new shipper is costing me time and money, and I ask that they
> intervene to get me my saw as soon as possible. Once again they are
> apologetic and promise to take care of it.  The shipping co's dispatcher
> calls and says they will deliver in the morning ( again Friday) .
> 
> Friday.....  I call to set up a time, I'm told approxiamately 10:00 am by
> the same dispatcher.  At 12:45 pm  I call the dispatcher -- He apologizes
> and says it will be  there any time now. I have already put off two
clients
> until the afternoon while I await this delivery.  At 1:15 the truck
> arrives.  The driver opens the back and there's the Unisaw,  the carton
is
> damaged but taped back together, and the saw is not strapped to the
pallet
> as it comes from the factory. I look it over carefully and see no
evidence
> of damage, so ( not wanting to prolong this experience any longer) I told
> the driver to unload it.  Well, this was beyond his capability -- he
> dropped the saw off the lift gate , it flipped over and fell  4 feet to
the
> street. small parts flew in various directions.  I told him to put it
back
> on the truck and to take it away.  I called WS, the traffic manager was
out
> for the rest of the day.  But they were apologetic.
> 
> It has been two weeks since I placed the order and I still have no saw.
> Monday would be the first possible shipping date. At this point  I am
> wondering if there is a shipping company competent enough to deliver
> machinery without  destroying it.  I'd appreciate advice or input from
> others who have purchased machinery from the mail order companies.  
> 
>